module Fragments
  module Helpers
    module Controller
      def self.included(base)
        base.send :include, InstanceMethods
        base.class_eval do
          helper_method :header_html, :common_html, :footer_html
        end
      end

      module InstanceMethods
        def header_html
          ::Fragments.get_html('header', request)
        end

        def common_html
          ::Fragments.get_html('service', request)
        end

        def footer_html
          ::Fragments.get_html('footer', request)
        end
      end
    end
  end
end
